---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libSetNativeMethodPrefix002.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4AD70, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4CCB0, symBinAddr: 0xE108, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4D098, symBinAddr: 0xE4F0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4E038, symBinAddr: 0xF490, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4E040, symBinAddr: 0xF498, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4A9F8, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4A9FC, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4AA00, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4AB50, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4AC08, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4AC0C, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4AC10, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4AC14, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4AC18, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4AC20, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4AC30, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4AC38, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4AC40, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4AC48, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FAE, offset: 0x8FAE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4AC50, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8FC8, offset: 0x8FC8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4AC58, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x90AE, offset: 0x90AE, size: 0x8, addend: 0x0, symName: __ZL6prefix, symObjAddr: 0x4ACA0, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x90C7, offset: 0x90C7, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4ACA8, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9119, offset: 0x9119, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x4288, symSize: 0xA0 }
  - { offsetInCU: 0x91AE, offset: 0x91AE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x4260, symSize: 0x28 }
  - { offsetInCU: 0x9211, offset: 0x9211, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x41E0, symSize: 0x80 }
  - { offsetInCU: 0x94A5, offset: 0x94A5, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x4328, symSize: 0x34 }
  - { offsetInCU: 0x94FF, offset: 0x94FF, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x435C, symSize: 0x20C }
  - { offsetInCU: 0x96B8, offset: 0x96B8, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x4568, symSize: 0x28 }
  - { offsetInCU: 0x9781, offset: 0x9781, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x4590, symSize: 0xB0 }
  - { offsetInCU: 0x9878, offset: 0x9878, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x4640, symSize: 0xD8 }
  - { offsetInCU: 0x99C9, offset: 0x99C9, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x4718, symSize: 0x24 }
  - { offsetInCU: 0x9A54, offset: 0x9A54, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x473C, symSize: 0x168 }
  - { offsetInCU: 0x9C30, offset: 0x9C30, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x48A4, symSize: 0x104 }
  - { offsetInCU: 0x9EE1, offset: 0x9EE1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x49A8, symSize: 0x3F8 }
  - { offsetInCU: 0xA12B, offset: 0xA12B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2144, symBinAddr: 0x4DA0, symSize: 0xDC }
  - { offsetInCU: 0xA1C9, offset: 0xA1C9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x4E7C, symSize: 0x154 }
  - { offsetInCU: 0xA3AD, offset: 0xA3AD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x4FD0, symSize: 0xAC }
  - { offsetInCU: 0xA482, offset: 0xA482, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x507C, symSize: 0x14 }
  - { offsetInCU: 0xA4BB, offset: 0xA4BB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x5090, symSize: 0x14 }
  - { offsetInCU: 0xA4F4, offset: 0xA4F4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x50A4, symSize: 0x14 }
  - { offsetInCU: 0xA671, offset: 0xA671, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x50B8, symSize: 0x1A8 }
  - { offsetInCU: 0xA97B, offset: 0xA97B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x5260, symSize: 0x140 }
  - { offsetInCU: 0xAB1C, offset: 0xAB1C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x53A0, symSize: 0x9C }
  - { offsetInCU: 0xABD9, offset: 0xABD9, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x543C, symSize: 0x690 }
  - { offsetInCU: 0xB76B, offset: 0xB76B, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9004, symBinAddr: 0x650C, symSize: 0x30 }
  - { offsetInCU: 0xB7F7, offset: 0xB7F7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x5ACC, symSize: 0x74 }
  - { offsetInCU: 0xB8A7, offset: 0xB8A7, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x5B40, symSize: 0xB0 }
  - { offsetInCU: 0xB9A6, offset: 0xB9A6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x5BF0, symSize: 0x3C }
  - { offsetInCU: 0xBA9C, offset: 0xBA9C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x5C2C, symSize: 0x29C }
  - { offsetInCU: 0xBDDF, offset: 0xBDDF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x5EC8, symSize: 0xD0 }
  - { offsetInCU: 0xBF0D, offset: 0xBF0D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x5F98, symSize: 0xC }
  - { offsetInCU: 0xBFCF, offset: 0xBFCF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x5FA4, symSize: 0x22C }
  - { offsetInCU: 0xC28A, offset: 0xC28A, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x61D0, symSize: 0x4 }
  - { offsetInCU: 0xC2CE, offset: 0xC2CE, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x61D0, symSize: 0x4 }
  - { offsetInCU: 0xC2E7, offset: 0xC2E7, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x61D4, symSize: 0x2F4 }
  - { offsetInCU: 0xC638, offset: 0xC638, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8FC0, symBinAddr: 0x64C8, symSize: 0x4 }
  - { offsetInCU: 0xC67C, offset: 0xC67C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8FC0, symBinAddr: 0x64C8, symSize: 0x4 }
  - { offsetInCU: 0xC695, offset: 0xC695, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetNativeMethodPrefix_SetNativeMethodPrefix002_foo, symObjAddr: 0x8FC4, symBinAddr: 0x64CC, symSize: 0x40 }
  - { offsetInCU: 0xC6E2, offset: 0xC6E2, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9034, symBinAddr: 0x653C, symSize: 0x358 }
...
